set term png size 1024,768 enhanced font ,12
set datafile separator whitespace
set grid
set hidden3d
set xrange [0:40]
set yrange [0:40]

input(n) = sprintf("./video/%04d.dat", n)
output(n) = sprintf("./video/%04d.png", n)
title(n) = sprintf("Iteration %d", n)

do for [i=0:400] {
  set output output(i)
  set title title(i)
  splot input(i) matrix using 1:2:3 with lines
}
